#include "sys.h"

#define CYCLES_PER_MS 6666  // ish

void busy_sleep_1ms() {
  for (int i = 0; i < CYCLES_PER_MS; ++i) {
    // nothing
  }
}

/** waits a general amount of time */
void busy_sleep(int ms) {
  for (int i = 0; i < ms; ++i) {
    busy_sleep_1ms();
  }
}

int strlen(const char* str) {
  int i = 0;
  while(str[i] != '\0') {
    i++;
  }
  return i;
}

void log(const char* stuff) {
  uart_writen(uart0, stuff, strlen(stuff));
}

int main() {
  const int array[4] = {1, 2, 3};

  while (1) {
    if (array[1] == 2) {
      log("youhou\r\n");
    }
    log("blarg\r\n");
    busy_sleep(1000);
  }
}
